using SqlSugar;
using System;
using System.ComponentModel;

namespace DeviceRepair.Models.Tag
{
    [SugarTable("TagRecord")]
    public class TagRecordInfo
    {
        /// <summary>
        /// Tag 表自增长主键
        /// </summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        [DisplayName("NO.")]
        public int AutoID { get; set; }

        [SugarColumn(IsIgnore = true)]
        public int NO { get { return AutoID; } }

        /// <summary>
        /// 设备表主键编号
        /// </summary>
        public int EquipmentID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [DisplayName("Equip.No.")]
        public string EquipmentDisPlayID { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [DisplayName("Equip.Name.")]
        public string EquipmentName { get; set; }

        [DisplayName("Broken/Damaged")]
        public bool BrokenDamaged { get; set; }

        [DisplayName("Access")]
        public bool Access { get; set; }
        [DisplayName("Clean")]
        public bool Clean { get; set; }
        [DisplayName("Inspect")]
        public bool Inspect { get; set; }
        [DisplayName("Source of contamination")]
        public bool SourceOfContamination { get; set; }
        [DisplayName("Not In use")]
        public bool NotInUse { get; set; }
        [DisplayName("Not needed")]
        public bool NotNeeded { get; set; }
        [DisplayName("Unsafe conditions")]
        public bool UnsafeConditions { get; set; }

        [DisplayName("Missing components")]
        public bool MissingComponents { get; set; }


        [DisplayName("Details of issue")]
        public string DetailsOfIssue { get; set; }

        public string TagFormStatus { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public int CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [DisplayName("Date")]
        public DateTime CreatOn { get; set; }

        /// <summary>
        /// 创建人姓名
        /// </summary>
        [DisplayName("Tagged By")]
        public string CreatorName { get; set; }

        /// <summary>
        /// 修改人
        /// </summary>
        public int? ModifyBy { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        /// 修改人姓名
        /// </summary>
        public string ModifyName { get; set; }

        /// <summary>
        /// 接收人
        /// </summary>
        public int? ReceiptBy { get; set; }

        /// <summary>
        /// 接受时间
        /// </summary>
        [DisplayName("Receipt Date")]
        public DateTime? ReceiptOn { get; set; }

        /// <summary>
        /// 接受人名称
        /// </summary>
        [DisplayName("Receipt By")]
        public string ReceiptName { get; set; }

        public string ReceiptDetailsOfIssue { get; set; }
    }
}
